Index: release-kits/wirk3/ant-scripts/build.xml
===================================================================
--- release-kits/wirk3/ant-scripts/build.xml	(revision 16187)
+++ release-kits/wirk3/ant-scripts/build.xml	(revision 16198)
@@ -1,24 +1,33 @@
 <?xml version="1.0" encoding="utf-8" ?>
-
 <!--
 		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
+		February 2008
+		Windows Release Kit for greenstone3
 		Oran Fry
 		..........................................................
 -->
-
 <project name="wirk3-build" default="wirk3">
 
-	<import file="init.xml"/>
+	<!-- CONSTANTS -->
 	
+	<!-- the size of the resourse chunks to be put in the wrapped installer -->
+	<property name="resources.chunksize" value="8388608"/><!-- 8MiB -->
+
+	<!-- the version numbers of bundled things -->
+	<property name="bundled.version.tomcat" value="5.5.25"/>
+	<property name="bundled.version.ant" value="1.6.5"/>
+
+	<!-- for the benefit of the shared scripts, set release-kit home -->
+	<property name="rk.home" value="${wirk3.home}" />
+
+	<!-- IMPORT OTHER ANT SCRIPTS -->
+	<import file="shared-ant-scripts/init.xml"/>
 	<import file="compile.xml"/>
 	<import file="create-distribution.xml"/>
 	<import file="create-installer.xml"/>
 	<import file="wrap.xml"/>
-
+	
+	<!-- THE MAIN TARGET -->
 	<target name="wirk3" depends="init">
-		<echo>Local Basedir: ${basedir.local}</echo>
-		
 		<addressedcall target="compile"/>
 		<addressedcall target="create-distribution"/>
Index: release-kits/wirk3/ant-scripts/compile.xml
===================================================================
--- release-kits/wirk3/ant-scripts/compile.xml	(revision 16187)
+++ release-kits/wirk3/ant-scripts/compile.xml	(revision 16198)
@@ -1,17 +1,6 @@
 <?xml version="1.0" encoding="utf-8" ?>
-
-<!--
-		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
-		Oran Fry
-		..........................................................
--->
-
 <project name="wirk3-compile" default="compile">
 
-
 	<target name="compile">
-
 		<addressedcall target="checkout-greenstone3" />
 		<addressedcall target="set-version-number-property" />
@@ -19,13 +8,5 @@
 		<addressedcall target="dist-build-windows" />
 		<addressedcall target="prepare-documentation" />
-
 	</target>
-
-
-	<!--
-
-		second level targets
-
-	-->
 
 	<target name="checkout-greenstone3">
Index: release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 16187)
+++ release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 16198)
@@ -1,12 +1,3 @@
 <?xml version="1.0" encoding="utf-8" ?>
-
-<!--
-		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
-		Oran Fry
-		..........................................................
--->
-
 <project name="wirk3-create-distribution" default="create-distribution">
 
@@ -25,12 +16,4 @@
 	</target>
 
-
-
-	<!--
-
-		second level targets
-
-	-->
-	
 	<target name="export-greenstone3">
 		<if><bool><istrue value="${execute}"/></bool>
Index: release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-installer.xml	(revision 16187)
+++ release-kits/wirk3/ant-scripts/create-installer.xml	(revision 16198)
@@ -1,12 +1,3 @@
 <?xml version="1.0" encoding="utf-8" ?>
-
-<!--
-		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
-		Oran Fry
-		..........................................................
--->
-
 <project name="wirk3-create-installer" default="create-installer">
 
@@ -19,10 +10,10 @@
 		<if><bool><istrue value="${execute}"/></bool>
 			
-			<mkdir dir="${basedir}/installer"/>
+			<mkdir dir="${basedir}/installer/resources"/>
 			<copy todir="${basedir}/installer" file="${wirk3.home}/installer/antinstall-config.xml"/>
 			<copy todir="${basedir}/installer" file="${wirk3.home}/installer/build.xml"/>
-			<copy todir="${basedir}/installer/resources">
-				<fileset dir="${wirk3.home}/installer/resources-windows"/>
-				<fileset dir="${wirk3.home}/installer/resources-greenstone3"/>
+			<copy todir="${basedir}/installer/classes">
+				<fileset dir="${wirk3.home}/windows/installer-classes"/>
+				<fileset dir="${wirk3.home}/greenstone3/installer-classes"/>
 			</copy>
 			
@@ -33,16 +24,16 @@
 			<!-- put the concrete values of things in the text -->
 			<!-- default -->
-			<rsr file="${basedir}/installer/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack.properties" pattern="@bundled.version.java@" replacement="${bundled.version.java}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
 			
 			<!-- chinese -->
-			<rsr file="${basedir}/installer/resources/LanguagePack_zh_CN.properties" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack_zh_CN.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.java@" replacement="${bundled.version.java}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<rsr file="${basedir}/installer/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
+			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
 			
 			
@@ -58,10 +49,10 @@
 					installConfig="${basedir}/installer/antinstall-config.xml"
 					buildFile="${basedir}/installer/build.xml"
-					antInstallLib="${wirk3.home}/bin/ant-installer/lib"
-					antLib="${wirk3.home}/bin/ant-installer/antlib"
+					antInstallLib="${wirk3.home}/packages/ant-installer/lib"
+					antLib="${wirk3.home}/packages/ant/lib"
 					validateConfig="true"
 					icons="bluecurve">
 
-				<zipfileset dir="${basedir}/installer/resources" prefix="resources"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/installer/classes"><include name="**/*"/></zipfileset>
 				<zipfileset dir="${wirk3.home}/ant-scripts/tasks/orans"><include name="RegexSearchReplace.class"/></zipfileset>
 
@@ -77,7 +68,6 @@
 				<zipfileset dir="${basedir}/distribution/greenstone3/winutil" prefix="winutil"><include name="**/*"/></zipfileset>
 				<zipfileset dir="${basedir}/distribution/greenstone3/src" prefix="src"><include name="**/*"/></zipfileset>
-
+				
 			</installer>
-
 			
 		</if>
Index: release-kits/wirk3/ant-scripts/create-launcher.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-launcher.xml	(revision 16187)
+++ 	(revision )
@@ -1,53 +1,0 @@
-<?xml version="1.0" encoding="utf-8" ?>
-
-<!--
-		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
-		Oran Fry
-		..........................................................
--->
-
-<project name="wirk3-create-launcher" default="wrap">
-
-	<target name="create-launcher">
-		<addressedcall target="setup-for-launcher-creation"/>
-		<addressedcall target="compile-launcher"/>
-		<addressedcall target="clean-up-after-launcher-creation"/>
-	</target>
-
-
-	<target name="setup-for-launcher-creation">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<mkdir dir="${basedir}/launcher"/>
-			<copy todir="${basedir}/launcher" file="${wirk3.home}/launcher/launcher.xml"/>
-			<!--<rsr pattern="(.*)@version@(.*)" replacement="$1${version}$2" file="${basedir}/launcher/launcher.xml" />-->
-			<rsr pattern="(.*)@basedir@(.*)" replacement="$1${basedir}$2" file="${basedir}/launcher/launcher.xml" />
-			
-		</if>
-	</target>
-
-	<target name="compile-launcher">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<echo>Compiling the launcher</echo>
-			<!--<exec executable="cmd " dir="${basedir}/launcher/launcher.xml">
-				<arg line="/C ${wirk3.home}/bin/launch4j/launch4j.exe launcher.xml"/>
-			</exec>-->
-
-			<launch4j configFile="${basedir}/launcher/launcher.xml" />
-
-			<echo>Putting a copy of the launcher in winutil</echo>
-			<copy file="${basedir}/launcher/launch-installer.exe" tofile="${basedir}/distribution/greenstone3/winutil/launcher.exe" overwrite="true"/>
-		</if>
-	</target>
-
-	<target name="clean-up-after-launcher-creation">
-		<if><bool><istrue value="${execute}"/></bool>
-			<delete file="${basedir}/launcher/launcher.xml"/>
-		</if>
-	</target>
-
-
-</project>
Index: release-kits/wirk3/ant-scripts/init.xml
===================================================================
--- release-kits/wirk3/ant-scripts/init.xml	(revision 16187)
+++ 	(revision )
@@ -1,195 +1,0 @@
-<?xml version="1.0" encoding="utf-8" ?>
-
-<!--
-		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
-		Oran Fry
-		..........................................................
--->
-
-<project name="wirk3-init">
-
-	<!-- classpath -->
-	<path id="project.classpath">
-		<fileset dir="${wirk3.home}/ant-scripts/tasks">
-			<include name="**/*.jar"/>
-		</fileset>
-		<fileset dir="${wirk3.home}/lib">
-			<include name="*.jar"/>
-		</fileset>
-		<pathelement path="${wirk3.home}/ant-scripts/tasks/orans"/>
-		<!-- antinstaller -->
-		<pathelement path="${wirk3.home}/bin/ant-installer/lib/ant-installer-ext.jar"/>
-		<pathelement path="${wirk3.home}/bin/ant-installer/lib/ant-installer.jar"/>
-	</path>
-	
-	<!-- create a localised basedir property -->
-	<path id="basedir.path">
-		<pathelement location="${basedir}"/>
-	</path>
-	<property name="basedir.local" refid="basedir.path"/>
-
-
-	<!-- self defined tasks and types-->
-	<taskdef name="if" classname="ise.antelope.tasks.IfTask" classpathref="project.classpath"/>
-	<taskdef name="try" classname="ise.antelope.tasks.TryTask" classpathref="project.classpath"/>
-	<taskdef name="svn" classname="org.tigris.subversion.svnant.SvnTask" classpathref="project.classpath"/>
-	<taskdef name="setloglevel" classname="SetLogLevel" classpathref="project.classpath"/>
-	<typedef name="addressedcall" classname="TreeCallTarget" classpathref="project.classpath"/>
-	<typedef name="rsr" classname="RegexSearchReplace" classpathref="project.classpath"/>
-	<typedef name="rsplit" classname="SplitResource" classpathref="project.classpath"/>
-	<taskdef name="installer" classname="org.tp23.antinstaller.taskdefs.Installer" classpathref="project.classpath"/> 
-	
-	<!-- load in static properties from build.properties -->
-	<property file="build.properties" />
-	
-	<!-- CONSTANTS -->
-	<property name="resources.chunksize" value="8388608"/><!-- resources split into 8MiB chunks -->
-
-	<!-- the version numbers of bundled things (entered manually to save us autodetecting; update as needed) -->
-	<property name="bundled.version.tomcat" value="5.5.25"/>
-	<property name="bundled.version.ant" value="1.6.5"/>
-		
-	<!-- stuff to do before all tasks -->
-	<target name="init">
-
-		<echo level="info">CHECKING PRE-CONDITIONS</echo>
-		<echo level="info"/>
-
-		<!-- version number -->
-		<echo level="info">Version number...</echo>
-		<if>
-			<bool>
-				<not><isset property="version"/></not>
-			</bool>
-
-			<!-- version not set in build.properties, try get from repository -->
-			<setloglevel level="error"/>
-			<try>
-				<get src="${svn.root}/greenstone3/${branch.path}/version.properties" dest="${temp.file}"/>
-				<catch>
-					<echo level="error">Not set in build.properties or repository version.properties</echo>
-					<fail>Version number not set</fail>
-				</catch>
-			</try>
-			<setloglevel level="info"/>
-
-			<property file="${temp.file}"/>
-
-			<if>
-				<bool>
-					<not><isset property="version"/></not>
-				</bool>
-				<echo level="error">version.properties exists, but doesn't set version string</echo>
-				<fail>Version number not set</fail>
-			</if>
-
-			<echo level="info">Taken from repository version.properties</echo>
-
-			<else>
-				<echo level="info">Taken from build.properties</echo>
-			</else>
-
-		</if>
-
-		<echo level="info">Version number: ${version}</echo>
-		<property name="app.version" value="${version}"/>
-		<echo level="info"/>
-
-
-		<!-- check resume from -->
-		<echo level="info">Checking if we are resuming from a given target...</echo>
-		<if>
-			<bool><not><isset property="resume.from"/></not></bool>
-			<echo level="info">No, start from the beginning</echo>
-			<else>
-				<echo level="info">Yes, resuming from ${resume.from}</echo>
-			</else>
-		</if>
-		<echo level="info"/>
-
-		<!-- check resume to -->
-		<echo level="info">Checking if we are resuming up to a given target...</echo>
-		<if>
-			<bool><not><isset property="resume.to"/></not></bool>
-			<echo level="info">No, stop at the end</echo>
-			<else>
-				<echo level="info">Yes, resuming from ${resume.to}</echo>
-			</else>
-		</if>
-		<echo level="info"/>
-
-
-		<!-- check resume mode-->
-		<echo level="info">Determining resume mode...</echo>
-		<if>
-			<bool>
-				<not><isset property="resume.mode"/></not>
-			</bool>
-			<echo level="info">Mode not set, just fall through</echo>
-			<else>
-				<echo level="info">Mode set to ${resume.mode}</echo>
-				<if>
-					<bool>
-						<not><equals arg1="${resume.mode}" arg2="descend"/></not>
-					</bool>
-					<echo level="error">You have not specified a valid resume mode.</echo>
-					<echo level="error">Valid modes are 'descend' and null.</echo>
-					<fail>You have not specified a valid resume mode.</fail>
-				</if>
-			</else>
-		</if>
-		<echo level="info"/>
-
-		<!-- execute target code or just traverse tree -->
-		<echo level="info">Determining execute mode...</echo>
-		<if>
-			<bool>
-				<not><isset property="execute"/></not>
-			</bool>
-			<echo level="info">Execute not set, defaulting to 'true'</echo>
-			<property name="execute" value="true"/>
-			<else>
-				<echo level="info">Execute set to ${execute}</echo>
-				<if>
-					<bool>
-						<and>
-							<not><equals arg1="${execute}" arg2="true"/></not>
-							<not><equals arg1="${execute}" arg2="false"/></not>
-						</and>
-					</bool>
-					<echo level="error">You have not specified a valid value for execute.</echo>
-					<echo level="error">Valid values are 'true' and 'false'.</echo>
-					<fail>You have not specified a valid value for execute.</fail>
-				</if>
-			</else>
-		</if>
-
-		<echo level="info"/>
-
-
-		<!-- check branch.path -->
-		<echo level="info">Determining the branch path...</echo>
-		<if>
-			<bool><not><isset property="branch.path"/></not></bool>
-			<fail>You have not specified a branch path where code will come from in the repository</fail>
-		</if>
-
-		<echo level="info">Branch Path: ${branch.path}</echo>
-		<echo level="info"/>
-		
-		<!-- check branch.revision -->
-		<echo level="info">Determining the branch revision...</echo>
-		<if>
-			<bool><not><isset property="branch.revision"/></not></bool>
-			<property name="branch.revision" value="HEAD"/>
-			<!--<echo level="info">No branch revision specified, defaulting to HEAD</echo>-->
-		</if>
-
-		<echo level="info">Branch Revision: ${branch.revision}</echo>
-		<echo level="info"/>
-
-	</target>
-
-</project>
Index: release-kits/wirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 16187)
+++ release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 16198)
@@ -148,5 +148,5 @@
   
 	<target name="run-xslt-binary" depends="init">
-		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${wirk3.home}/xsl/convert-build-xml.xsl"/>
+		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${wirk3.home}/greenstone3/xsl/convert-build-xml.xsl"/>
 	</target>
   
Index: release-kits/wirk3/ant-scripts/wrap.xml
===================================================================
--- release-kits/wirk3/ant-scripts/wrap.xml	(revision 16187)
+++ release-kits/wirk3/ant-scripts/wrap.xml	(revision 16198)
@@ -1,12 +1,3 @@
 <?xml version="1.0" encoding="utf-8" ?>
-
-<!--
-		.......................................................... 
-		September 2007
-		Greenstone3 'release maker' script
-		Oran Fry
-		..........................................................
--->
-
 <project name="wirk3-wrap" default="wrap">
 
@@ -27,7 +18,7 @@
 
 			<!-- copy source files -->
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/wrapper/wrapper.cpp"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/search4j/libsearch4j.cpp"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/search4j/libsearch4j.h"/>
+			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/windows/wrapper/wrapper.cpp"/>
+			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/packages/search4j/libsearch4j.cpp"/>
+			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/packages/search4j/libsearch4j.h"/>
 		
 		</if>
@@ -39,7 +30,7 @@
 			<!-- substitute the real java installer filename and min version into various files -->
 			<echo>Substitute concrete values of things into source files</echo>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${java.installer}"/>
 			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.java}"/>
+			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
+			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
 			
 		</if>
@@ -53,8 +44,9 @@
 					<not>
 						<uptodate targetfile="${basedir}/wrapped-installer/build/wrapper.RES">
-							<srcfiles dir="${wirk3.home}/icon" includes="gs3.ico"/>
-							<srcfiles dir="${wirk3.home}/wrapper" includes="${java.installer}"/>
-							<srcfiles dir="${wirk3.home}/wrapper" includes="*.bmp"/>
-							<srcfiles dir="${wirk3.home}/wrapper" includes="*.rc"/>
+							<srcfiles dir="${wirk3.home}/greenstone3/icon" includes="gs3.ico"/>
+							<srcfiles dir="${wirk3.home}/windows/wrapper" includes="${windows-java.installer}"/>
+							<srcfiles dir="${wirk3.home}/windows/wrapper" includes="*.bmp"/>
+							<srcfiles dir="${wirk3.home}/windows/wrapper" includes="*.rc"/>
+							<srcfiles dir="${wirk3.home}/greenstone3/wrapper" includes="*.bmp"/>
 							<srcfiles dir="${basedir}/installer" includes="greenstone3.jar"/>
 						</uptodate>
@@ -65,10 +57,11 @@
 				
 				<echo>getting the template resource script</echo>
-				<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/wrapper/wrapper.rc" overwrite="true"/>
+				<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/windows/wrapper/wrapper.rc" overwrite="true"/>
 				
 				<echo>copying the small resource files into place</echo>
 				<copy todir="${basedir}/wrapped-installer/build">
-					<fileset dir="${wirk3.home}/wrapper" includes="*.bmp"/>
-					<fileset dir="${wirk3.home}/icon" includes="gs3.ico"/>
+					<fileset dir="${wirk3.home}/windows/wrapper" includes="*.bmp"/>
+					<fileset dir="${wirk3.home}/greenstone3/wrapper" includes="*.bmp"/>
+					<fileset dir="${wirk3.home}/greenstone3/icon" includes="gs3.ico"/>
 				</copy>
 				
@@ -91,7 +84,7 @@
 				<copy file="${basedir}/wrapped-installer/build/wrapper.rc" tofile="${basedir}/wrapped-installer/build/wrapper-with-jre.rc"/>
 				
-				<echo>adding ${java.installer} to the copy as chunks</echo>
+				<echo>adding ${windows-java.installer} to the copy as chunks</echo>
 				<rsplit
-					resource="${wirk3.home}/wrapper/${java.installer}"
+					resource="${wirk3.home}/windows/wrapper/${windows-java.installer}"
 					outputDir="${basedir}/wrapped-installer/build"					
 					resourceScript="${basedir}/wrapped-installer/build/wrapper-with-jre.rc"
Index: release-kits/wirk3/bin/make.bat
===================================================================
--- release-kits/wirk3/bin/make.bat	(revision 16187)
+++ 	(revision )
@@ -1,2 +1,0 @@
-cl -GX ..\src\wirk3.cpp -o wirk3.exe 
-del wirk3.obj
Index: release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk3/installer/antinstall-config.xml	(revision 16187)
+++ release-kits/wirk3/installer/antinstall-config.xml	(revision 16198)
@@ -7,5 +7,5 @@
 			debug="false"
 			lookAndFeel="org.tp23.jgoodies.plaf.plastic.PlasticXPLookAndFeel"
-			name="Greenstone3 @version@ Installer"
+			name="Greenstone@version@ Installer"
 			windowIcon="/resources/icon.png"
 			defaultImageResource="/resources/header.png"
Index: release-kits/wirk3/src/make.bat
===================================================================
--- release-kits/wirk3/src/make.bat	(revision 16198)
+++ release-kits/wirk3/src/make.bat	(revision 16198)
@@ -0,0 +1,2 @@
+cl -GX wirk3.cpp -o ..\bin\wirk3.exe 
+del wirk3.obj
Index: release-kits/wirk3/src/wirk3.cpp
===================================================================
--- release-kits/wirk3/src/wirk3.cpp	(revision 16187)
+++ release-kits/wirk3/src/wirk3.cpp	(revision 16198)
@@ -37,14 +37,9 @@
 	
 	//set the classpath
-	//WIRK3_HOME + "\\ant-scripts\\tasks\\orangevolt\\roxes-win32forjava-1.1.1.jar;" + WIRK3_HOME + "\\ant-scripts\\tasks\\orangevolt\\orangevolt-ant-tasks-1.3.8.jar;" + 
-	classpath = pwd + "\\installer;" + JAVA_HOME + "\\lib\\tools.jar;" + WIRK3_HOME + "\\lib\\serializer.jar;" + WIRK3_HOME + "\\lib\\xalan.jar;" + WIRK3_HOME + "\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-antlr.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-bcel.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-bsf.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-log4j.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-oro.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-regexp.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-resolver.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-commons-logging.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-commons-net.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-icontract.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jai.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-javamail.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jdepend.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jmf.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jsch.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-junit.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-launcher.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-netrexx.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-nodeps.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-starteam.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-stylebook.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-swing.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-trax.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-vaj.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-weblogic.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-xalan1.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-xslp.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ant-installer.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\classes";
+	classpath = pwd + "\\installer\\classes;" + JAVA_HOME + "\\lib\\tools.jar;" + WIRK3_HOME + "\\lib\\serializer.jar;" + WIRK3_HOME + "\\lib\\xalan.jar;" + WIRK3_HOME + "\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-antlr.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-bcel.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-bsf.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-log4j.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-oro.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-regexp.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-apache-resolver.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-commons-logging.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-commons-net.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-icontract.jar;" + WIRK3_HOME + "\\packages\\ant-1.6.5\\lib\\ant-jai.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-javamail.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jdepend.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jmf.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-jsch.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-junit.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-launcher.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-netrexx.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-nodeps.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-starteam.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-stylebook.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-swing.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-trax.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-vaj.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-weblogic.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-xalan1.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\ant-xslp.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\packages\\ant\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\ant-installer.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\packages\\ant-installer\\classes";
 	putenv( ("CLASSPATH=" + classpath).c_str() );
 
-	//check that it worked
-	//string changed_classpath = getenv("CLASSPATH");
-	//cout << "classpath: " << changed_classpath << endl;
-	
 	//create the command
-	command = WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\bin\\ant.bat -f " + WIRK3_HOME + "\\ant-scripts\\build.xml -Dwirk3.home=" + WIRK3_HOME;
+	command = WIRK3_HOME + "\\packages\\ant\\bin\\ant.bat -f " + WIRK3_HOME + "\\ant-scripts\\build.xml -Dwirk3.home=" + WIRK3_HOME;
 	//pass on the arguments
 	string a;