Index: other-projects/trunk/gs2build-extra/configure
===================================================================
--- other-projects/trunk/gs2build-extra/configure	(revision 16256)
+++ other-projects/trunk/gs2build-extra/configure	(revision 16261)
@@ -1311,4 +1311,5 @@
 
 
+
           ac_config_headers="$ac_config_headers config.h"
 
@@ -7082,5 +7083,6 @@
 srclist="src/hashfile/Makefile src/gdbmedit/txt2db/Makefile src/gdbmedit/db2txt/Makefile src/phind/generate/Makefile "
 
-                                                  ac_config_files="$ac_config_files packages/Makefile lib/Makefile Makefile $srclist $moduleDirs"
+                                                  ac_config_files="$ac_config_files packages/Makefile src/lib/Makefile Makefile $srclist $moduleDirs"
+
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -7609,5 +7611,5 @@
   # Handling of arguments.
   "packages/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/Makefile" ;;
-  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
+  "src/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/Makefile" ;;
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "$srclist" ) CONFIG_FILES="$CONFIG_FILES $srclist" ;;
Index: other-projects/trunk/gs2build-extra/configure.in
===================================================================
--- other-projects/trunk/gs2build-extra/configure.in	(revision 16256)
+++ other-projects/trunk/gs2build-extra/configure.in	(revision 16261)
@@ -2,5 +2,6 @@
 dnl Use autoconf-2.59 or later... it might not work anymore with
 dnl the older 2.1x versions - jrm21 12/2004
-AC_INIT(src/lib/text_t.h)
+AC_INIT
+AC_CONFIG_SRCDIR([src/lib/text_t.h])
 AC_CONFIG_HEADER(config.h)
 
@@ -40,5 +41,5 @@
 dnl get $target_cpu, $target_vendor, and $target_os
 dnl (as well as host_*)
-AC_CANONICAL_SYSTEM
+AC_CANONICAL_TARGET([])
 dnl do we actually want this? It adds a prefix based on host, system etc
 dnl AC_ARG_PROGRAM
@@ -88,8 +89,6 @@
 dnl Unfortunately -D_{XOPEN,POSIX}_SOURCE can't provide all that mg
 dnl needs. So drop back to -Xa
-AC_TRY_COMPILE(
-[#include <stdio.h>
-], [ FILE *rubbish = popen("yes", "r"); ],,
-[CC="`echo $CC | sed 's/-Xc/-Xa/'`"    ac_cv_prog_cc_stdc='-Xa'])
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <stdio.h>
+]], [[ FILE *rubbish = popen("yes", "r"); ]])],[],[CC="`echo $CC | sed 's/-Xc/-Xa/'`"    ac_cv_prog_cc_stdc='-Xa'])
 fi
 dnl ----------------------
@@ -98,11 +97,15 @@
 dnl Checks for libraries.
 dnl check for -lg:
-AC_HAVE_LIBRARY(g)
+AC_CHECK_LIB([g],[main],[],[],[])ac_cv_lib_g=ac_cv_lib_g_main
+
 dnl check for -lm:
-AC_HAVE_LIBRARY(m)
+AC_CHECK_LIB([m],[main],[],[],[])ac_cv_lib_m=ac_cv_lib_m_main
+
 dnl check for -lcrypt:
-AC_HAVE_LIBRARY(crypt)
+AC_CHECK_LIB([crypt],[main],[],[],[])ac_cv_lib_crypt=ac_cv_lib_crypt_main
+
 if test $ENABLE_ACCENTFOLD = 1; then
-AC_HAVE_LIBRARY(ICONV)
+AC_CHECK_LIB([ICONV],[main],[],[],[])ac_cv_lib_ICONV=ac_cv_lib_ICONV_main
+
 fi
 
@@ -166,5 +169,5 @@
 dnl Switch into C++
 dnl
-AC_LANG_CPLUSPLUS
+AC_LANG([C++])
 
 dnl
@@ -202,11 +205,7 @@
 if test -z "$GDBM_INCLUDE" ; then
   # try in system directory 
-  AC_TRY_COMPILE(
-  [#include <gdbm.h>
-],
-  [],
-  success=yes,
-  success=no
-  )
+  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <gdbm.h>
+]], [[]])],[success=yes],[success=no
+  ])
 
   if test $success = "no"; then
@@ -218,12 +217,8 @@
       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
       LIBS="$LIBS -L/usr/local/lib -lgdbm"
-      AC_TRY_LINK(
-  	[#include <gdbm.h>
+      AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <gdbm.h>
 #include <stdio.h>
-	],
-  	[printf("%s",gdbm_version);],
-  	success=/usr/local,
-  	success=no
-      )
+	]], [[printf("%s",gdbm_version);]])],[success=/usr/local],[success=no
+      ])
       CXXFLAGS=$ac_save_CXXFLAGS
       LIBS=$ac_save_LIBS
@@ -291,29 +286,17 @@
 
 dnl - first shot, try simple good old vector on its own
-AC_TRY_COMPILE(
-[#include <vector>
-], 
-[],
-success=yes,
-)
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <vector>
+]], [[]])],[success=yes],[])
 
 dnl - try using the .h equivalent
 if test $success = "no"; then
-AC_TRY_COMPILE(
-[#include <vector.h>
-], 
-[],
-success="yes",
-)
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <vector.h>
+]], [[]])],[success="yes"],[])
 fi
 
 dnl - now try for the objectspace headers
 if test $success = "no"; then
-AC_TRY_COMPILE(
-[#include <ospace\\std\\vector>
-], 
-[],
-success="yes",
-)
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <ospace\\std\\vector>
+]], [[]])],[success="yes"],[])
 fi
 
@@ -377,3 +360,4 @@
 srclist="src/hashfile/Makefile src/gdbmedit/txt2db/Makefile src/gdbmedit/db2txt/Makefile src/phind/generate/Makefile "
 
-AC_OUTPUT(packages/Makefile lib/Makefile Makefile $srclist $moduleDirs)
+AC_CONFIG_FILES([packages/Makefile src/lib/Makefile Makefile $srclist $moduleDirs])
+AC_OUTPUT
Index: other-projects/trunk/gs2build-extra/lib.Makefile.in
===================================================================
--- other-projects/trunk/gs2build-extra/lib.Makefile.in	(revision 16256)
+++ other-projects/trunk/gs2build-extra/lib.Makefile.in	(revision 16261)
@@ -31,5 +31,5 @@
 CXXFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@
 DEFS = @DEFS@
-INCLUDES = -I../indexers/mg/lib -I..
+INCLUDES = -I../../indexers/mg/lib -I../..
 RANLIB = @RANLIB@
 